%define	upstream_name	 Data-Visitor
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A visitor for Perl data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose) >= 0.890.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(Tie::ToObject) >= 0.10.0
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}
Requires:   perl(namespace::clean)
%description
This module is a simple visitor implementation for Perl values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Data
%doc %{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.320.0-2.mga10
+ Revision: 2218586
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.320.0-1.mga10
+ Revision: 1980949
- update to 0.32

* Mon Mar 21 2022 umeabot <umeabot> 0.310.0-2.mga9
+ Revision: 1812999
- Mageia 9 Mass Rebuild

* Mon Aug 03 2020 tv <tv> 0.310.0-1.mga8
+ Revision: 1610761
- update to 0.31

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-9.mga8
+ Revision: 1493810
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-8.mga7
+ Revision: 1267021
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.300.0-7.mga6
+ Revision: 1024999
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.300.0-6.mga6
+ Revision: 945985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 746934
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.300.0-4.mga5
+ Revision: 735472
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-3.mga5
+ Revision: 684257
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 528671
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.300.0-1.mga4
+ Revision: 446890
- update to 0.30

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 365539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 213692
- update to 0.28

* Tue Jan 25 2011 jquelin <jquelin> 0.270.0-2.mga1
+ Revision: 38474
- mageia rebuild
- imported package perl-Data-Visitor

